---
name: Bug Report
about: Create a report to help us improve
title: "[Bug] "
labels: bug
assignees: ''
---

<!-- 
Language Selection / 语言选择:
English | 
[中文](https://github.com/donghao1393/mcp-dbutils/issues/new?template=bug_report_zh.md) | 
[Français](https://github.com/donghao1393/mcp-dbutils/issues/new?template=bug_report_fr.md) | 
[Español](https://github.com/donghao1393/mcp-dbutils/issues/new?template=bug_report_es.md) | 
[العربية](https://github.com/donghao1393/mcp-dbutils/issues/new?template=bug_report_ar.md) | 
[Русский](https://github.com/donghao1393/mcp-dbutils/issues/new?template=bug_report_ru.md)
-->

## Description
<!-- A clear and concise description of what the bug is -->

## Steps to Reproduce
<!-- Steps to reproduce the behavior -->
1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See error

## Expected Behavior
<!-- A clear and concise description of what you expected to happen -->

## Actual Behavior
<!-- A description of what actually happened -->

## Screenshots
<!-- If applicable, add screenshots to help explain your problem -->

## Environment
<!-- Please provide detailed information about your environment -->
- MCP Database Utilities version: [e.g. 0.19.0]
- OS: [e.g. Windows 10, macOS 12.0, Ubuntu 22.04]
- Python version: [e.g. 3.10.5]
- Database type and version: [e.g. SQLite 3.39.0, PostgreSQL 14.5, MySQL 8.0.30]
- MCP client used: [e.g. Claude Desktop, VS Code, Cursor]

## Configuration
<!-- Please provide your configuration file content (remember to remove sensitive information like passwords, API keys, etc.) -->
```yaml
connections:
  example_connection:
    type: sqlite
    path: ":memory:"
```

## Additional Information
<!-- Add any other context about the problem here -->
