---
name: Performance Issue
about: Report performance-related issues
title: "[Performance] "
labels: performance
assignees: ''
---

<!-- 
Language Selection / 语言选择:
English | 
[中文](https://github.com/donghao1393/mcp-dbutils/issues/new?template=performance_issue_zh.md) | 
[Français](https://github.com/donghao1393/mcp-dbutils/issues/new?template=performance_issue_fr.md) | 
[Español](https://github.com/donghao1393/mcp-dbutils/issues/new?template=performance_issue_es.md) | 
[العربية](https://github.com/donghao1393/mcp-dbutils/issues/new?template=performance_issue_ar.md) | 
[Русский](https://github.com/donghao1393/mcp-dbutils/issues/new?template=performance_issue_ru.md)
-->

## Performance Issue Description
<!-- A clear and concise description of the performance issue -->

## Steps to Reproduce
<!-- Steps to reproduce the performance issue -->
1. Go to '...'
2. Execute '....'
3. Observe performance issue

## Performance Data
<!-- Please provide performance measurement data, such as response time, memory usage, CPU usage, etc. -->

## Expected Performance
<!-- A description of what performance you expected -->

## Environment
<!-- Please provide detailed information about your environment -->
- MCP Database Utilities version: [e.g. 0.19.0]
- OS: [e.g. Windows 10, macOS 12.0, Ubuntu 22.04]
- Python version: [e.g. 3.10.5]
- Database type and version: [e.g. SQLite 3.39.0, PostgreSQL 14.5, MySQL 8.0.30]
- MCP client used: [e.g. Claude Desktop, VS Code, Cursor]
- Hardware specifications: [e.g. CPU model, memory size, disk type]

## Configuration
<!-- Please provide your configuration file content (remember to remove sensitive information like passwords, API keys, etc.) -->
```yaml
connections:
  example_connection:
    type: sqlite
    path: ":memory:"
```

## Additional Information
<!-- Add any other context about the performance issue here -->
