# تفاعلات متقدمة مع نماذج اللغة الكبيرة

*[English](../en/examples/advanced-llm-interactions.md) | [中文](../zh/examples/advanced-llm-interactions.md) | [Français](../fr/examples/advanced-llm-interactions.md) | [Español](../es/examples/advanced-llm-interactions.md) | العربية | [Русский](../ru/examples/advanced-llm-interactions.md)*

يقدم هذا المستند أمثلة متقدمة للتفاعلات بين نماذج اللغة الكبيرة (LLM) وقواعد البيانات من خلال MCP Database Utilities. توضح هذه الأمثلة كيف يمكن لنماذج اللغة الكبيرة إجراء تحليلات بيانات معقدة، وإنشاء تصورات، وتقديم رؤى عميقة.

## تحليل البيانات المتقدم

### تحليل الاتجاهات

**أنت**: "قم بتحليل اتجاهات المبيعات الفصلية على مدار العامين الماضيين وحدد العوامل التي أثرت على الارتفاعات والانخفاضات."

**الذكاء الاصطناعي**: "سأقوم بتحليل اتجاهات المبيعات الفصلية على مدار العامين الماضيين. دعني أستعلم من قاعدة البيانات..."

[ينفذ الذكاء الاصطناعي استعلامات SQL معقدة متعددة]

**الذكاء الاصطناعي**: "إليك تحليلي لاتجاهات المبيعات الفصلية لعامي 2022-2023:

**ملخص المبيعات الفصلية:**

| الربع | المبيعات (ريال) | التغيير (%) | العوامل الرئيسية |
|-------|----------------|-------------|------------------|
| الربع الأول 2022 | 1,245,678 | - | إطلاق المنتج X، عروض الشتاء |
| الربع الثاني 2022 | 1,567,890 | +25.9% | حملة تسويقية ربيعية |
| الربع الثالث 2022 | 1,389,045 | -11.4% | موسم منخفض، نفاد المخزون |
| الربع الرابع 2022 | 2,145,678 | +54.5% | موسم الأعياد، الجمعة السوداء |
| الربع الأول 2023 | 1,678,901 | -21.8% | ما بعد الأعياد، منتجات جديدة |
| الربع الثاني 2023 | 1,890,123 | +12.6% | توسع دولي |
| الربع الثالث 2023 | 1,567,890 | -17.0% | مشاكل سلسلة التوريد |
| الربع الرابع 2023 | 2,456,789 | +56.7% | مجموعة منتجات فاخرة جديدة، الأعياد |

**العوامل الرئيسية المؤثرة في الاتجاهات:**

1. **الموسمية**: مبيعات الربع الرابع أعلى باستمرار (موسم الأعياد)، بينما يظهر الربع الثالث انخفاضًا موسميًا.

2. **إطلاق المنتجات**:
   - إطلاق المنتج X في الربع الأول 2022 أسس قاعدة قوية
   - المجموعة الفاخرة الجديدة في الربع الرابع 2023 ولدت زيادة بنسبة 56.7%

3. **التحديات التشغيلية**:
   - نفاد المخزون في الربع الثالث 2022 تسبب في انخفاض بنسبة 11.4%
   - مشاكل سلسلة التوريد في الربع الثالث 2023 أدت إلى انخفاض بنسبة 17.0%

4. **المبادرات التسويقية**:
   - الحملة الربيعية في الربع الثاني 2022 ولدت نموًا بنسبة 25.9%
   - عروض الجمعة السوداء ساهمت بشكل كبير في أداء الربع الرابع

**التوصيات بناءً على التحليل:**

1. التخطيط لزيادة المخزون قبل الربع الرابع لتجنب النفاد خلال فترة الذروة
2. النظر في حملات تسويقية خاصة لتحفيز المبيعات خلال الربع الثالث
3. تحسين سلسلة التوريد لتجنب المشاكل المتكررة
4. الاستمرار في الاستثمار في تطوير المنتجات الفاخرة التي أظهرت تأثيرًا قويًا على المبيعات"

### تقسيم العملاء

**أنت**: "قم بتقسيم قاعدة عملائنا باستخدام طريقة RFM (الحداثة، التكرار، المبلغ) وأعطني رؤى حول كل شريحة."

**الذكاء الاصطناعي**: "سأقوم بتقسيم قاعدة عملائك باستخدام تحليل RFM. دعني أستعلم من قاعدة البيانات..."

[ينفذ الذكاء الاصطناعي استعلامات SQL لحساب درجات RFM وتقسيم العملاء]

**الذكاء الاصطناعي**: "لقد أجريت تحليل RFM (الحداثة، التكرار، المبلغ) لقاعدة عملائك. إليك الشرائح المحددة:

**نظرة عامة على الشرائح:**

| الشريحة | عدد العملاء | % من القاعدة | القيمة الإجمالية (ريال) | % من الإيرادات |
|---------|-------------|--------------|------------------------|-----------------|
| الأبطال | 342 | 8.5% | 987,654 | 32.4% |
| العملاء المخلصون | 567 | 14.2% | 765,432 | 25.1% |
| العملاء الواعدون | 823 | 20.6% | 543,210 | 17.8% |
| العملاء المعرضون للخطر | 456 | 11.4% | 321,098 | 10.5% |
| العملاء النائمون | 789 | 19.7% | 234,567 | 7.7% |
| العملاء المفقودون | 1,023 | 25.6% | 198,765 | 6.5% |

**الخصائص والرؤى حسب الشريحة:**

1. **الأبطال (درجة RFM: 4-5، 4-5، 4-5)**
   - آخر شراء: < 30 يومًا
   - متوسط التكرار: 12.3 عملية شراء/سنة
   - متوسط سلة التسوق: 245.67 ريال
   - الرؤى: عملاء ملتزمون للغاية وذوو قيمة عالية. يمثلون فقط 8.5% من القاعدة لكنهم يولدون 32.4% من الإيرادات.
   - التوصية: برنامج ولاء VIP، وصول مبكر للمنتجات الجديدة، خدمة عملاء ذات أولوية.

2. **العملاء المخلصون (درجة RFM: 2-5، 3-5، 3-5)**
   - آخر شراء: < 90 يومًا
   - متوسط التكرار: 8.7 عملية شراء/سنة
   - متوسط سلة التسوق: 178.34 ريال
   - الرؤى: عملاء منتظمون ذوو قيمة جيدة. إمكانية عالية ليصبحوا أبطالًا.
   - التوصية: برامج مكافآت، بيع متقاطع للمنتجات الفاخرة.

3. **العملاء الواعدون (درجة RFM: 3-4، 1-3، 3-5)**
   - آخر شراء: < 60 يومًا
   - متوسط التكرار: 4.2 عملية شراء/سنة
   - متوسط سلة التسوق: 156.78 ريال
   - الرؤى: قيمة جيدة ولكن تكرار شراء غير منتظم.
   - التوصية: حملات مشاركة، حوافز للشراء بشكل أكثر تكرارًا.

4. **العملاء المعرضون للخطر (درجة RFM: 2-3، 2-5، 1-5)**
   - آخر شراء: 60-120 يومًا
   - متوسط التكرار: 6.5 عملية شراء/سنة (في انخفاض)
   - متوسط سلة التسوق: 134.56 ريال
   - الرؤى: عملاء كانوا نشطين سابقًا يظهرون علامات انفصال.
   - التوصية: حملات إعادة تنشيط، استطلاعات رضا، عروض مخصصة.

5. **العملاء النائمون (درجة RFM: 1-2، 1-3، 1-5)**
   - آخر شراء: 120-365 يومًا
   - متوسط التكرار: 2.3 عملية شراء/سنة
   - متوسط سلة التسوق: 98.45 ريال
   - الرؤى: عملاء غير نشطين ولكن لديهم تاريخ شراء.
   - التوصية: حملات إعادة مشاركة، عروض خاصة للعودة.

6. **العملاء المفقودون (درجة RFM: 1، 1-2، 1-5)**
   - آخر شراء: > 365 يومًا
   - متوسط التكرار: 1.2 عملية شراء/سنة
   - متوسط سلة التسوق: 76.23 ريال
   - الرؤى: عملاء غير نشطين لفترة طويلة، على الأرجح مفقودون.
   - التوصية: حملات استعادة منخفضة التكلفة، أو النظر في إزالتهم من الاتصالات المنتظمة.

**الفرص الاستراتيجية:**

1. تركيز 60% من جهود التسويق على شرائح الأبطال والعملاء المخلصين (أعلى عائد على الاستثمار)
2. تطوير برنامج إعادة تنشيط مستهدف للعملاء المعرضين للخطر (إمكانية استعادة 10.5% من الإيرادات)
3. تحليل أسباب انفصال العملاء النائمين من خلال الاستطلاعات
4. تحسين تجربة الانضمام لتحويل المزيد من العملاء الجدد إلى عملاء مخلصين"

## إنشاء تقارير آلية

### تقرير أداء أسبوعي

**أنت**: "قم بإنشاء تقرير أداء مبيعات أسبوعي للأسبوع الماضي، مع مقارنة بالأسبوع السابق ونفس الفترة من العام الماضي."

**الذكاء الاصطناعي**: "سأقوم بإنشاء تقرير أداء مبيعات أسبوعي. دعني أستعلم من قاعدة البيانات..."

[ينفذ الذكاء الاصطناعي استعلامات SQL متعددة لجمع البيانات اللازمة]

**الذكاء الاصطناعي**: "# تقرير أداء المبيعات الأسبوعي
**الفترة: 13-19 نوفمبر 2023**

## الملخص التنفيذي

سجل الأسبوع 46 مبيعات إجمالية قدرها **187,456 ريال**، مما يمثل **زيادة بنسبة 12.3%** مقارنة بالأسبوع السابق و**زيادة بنسبة 18.7%** مقارنة بنفس الفترة من العام الماضي. تستمر فئة الإلكترونيات في الهيمنة بنسبة 42% من إجمالي المبيعات، بينما أظهرت المنطقة الجنوبية أقوى نمو بنسبة 24.5% على أساس سنوي.

## مؤشرات الأداء الرئيسية

| المقياس | هذا الأسبوع | الأسبوع السابق | التغيير | نفس الفترة العام الماضي | التغيير السنوي |
|---------|-------------|----------------|----------|--------------------------|----------------|
| إجمالي المبيعات | 187,456 ريال | 166,921 ريال | +12.3% | 157,923 ريال | +18.7% |
| عدد الطلبات | 1,245 | 1,156 | +7.7% | 1,089 | +14.3% |
| متوسط سلة التسوق | 150.57 ريال | 144.40 ريال | +4.3% | 145.02 ريال | +3.8% |
| معدل التحويل | 3.8% | 3.5% | +0.3 نقطة | 3.2% | +0.6 نقطة |
| العملاء الجدد | 324 | 298 | +8.7% | 276 | +17.4% |

## الأداء حسب الفئة

| الفئة | المبيعات | % من الإجمالي | مقابل الأسبوع السابق | مقابل العام الماضي |
|-------|----------|---------------|---------------------|-------------------|
| إلكترونيات | 78,731 ريال | 42.0% | +15.4% | +22.3% |
| ملابس | 45,789 ريال | 24.4% | +8.7% | +14.5% |
| منزل وحديقة | 32,567 ريال | 17.4% | +10.2% | +16.8% |
| رياضة وترفيه | 18,965 ريال | 10.1% | +7.5% | +12.4% |
| أخرى | 11,404 ريال | 6.1% | +5.2% | +8.9% |

## الأداء حسب المنطقة

| المنطقة | المبيعات | % من الإجمالي | مقابل الأسبوع السابق | مقابل العام الماضي |
|---------|----------|---------------|---------------------|-------------------|
| الشمال | 56,237 ريال | 30.0% | +10.5% | +16.7% |
| الشرق | 43,115 ريال | 23.0% | +11.2% | +17.8% |
| الجنوب | 50,613 ريال | 27.0% | +14.8% | +24.5% |
| الغرب | 37,491 ريال | 20.0% | +12.7% | +15.6% |

## المنتجات الأكثر مبيعًا

| المنتج | الوحدات المباعة | الإيرادات | % من الإجمالي | مقابل الأسبوع السابق |
|--------|-----------------|-----------|---------------|---------------------|
| هاتف ذكي برو X | 156 | 124,800 ريال | 6.7% | +18.2% |
| سماعات لاسلكية | 423 | 42,300 ريال | 2.3% | +15.6% |
| سترة شتوية فاخرة | 189 | 28,350 ريال | 1.5% | +22.4% |
| ماكينة قهوة أوتوماتيكية | 112 | 22,400 ريال | 1.2% | +9.8% |
| أحذية جري احترافية | 145 | 21,750 ريال | 1.2% | +11.3% |

## الرؤى والتوصيات

1. **فرصة النمو**: الأداء القوي للمنطقة الجنوبية (+24.5% على أساس سنوي) يشير إلى إمكانية التوسع. التوصية: زيادة ميزانية التسويق بنسبة 15% في هذه المنطقة.

2. **تحسين المخزون**: يظهر هاتف ذكي برو X طلبًا استثنائيًا (+18.2%). التوصية: زيادة مستويات المخزون بنسبة 20% لتجنب النفاد.

3. **اتجاه موسمي**: شهدت السترة الشتوية الفاخرة أعلى نمو أسبوعي (+22.4%). التوصية: إطلاق حملة التسويق الشتوية قبل أسبوع من المخطط.

4. **تنبيه الأداء**: تظهر فئة 'أخرى' أدنى نمو (+5.2%). التوصية: مراجعة استراتيجية التسويق لهذه المنتجات.

## توقعات للأسبوع القادم

بناءً على الاتجاهات الحالية والبيانات التاريخية، نتوقع مبيعات إجمالية تتراوح بين **195,000 - 205,000 ريال** للأسبوع القادم، أي نمو مقدر بنسبة 4-9% مقارنة بهذا الأسبوع."

### تحليل المجموعات

**أنت**: "قم بإجراء تحليل مجموعات للعملاء المكتسبين خلال الأشهر الستة الماضية وأظهر معدل الاحتفاظ بهم."

**الذكاء الاصطناعي**: "سأقوم بإجراء تحليل مجموعات للعملاء المكتسبين حديثًا. دعني أستعلم من قاعدة البيانات..."

[ينفذ الذكاء الاصطناعي استعلامات SQL لتحليل مجموعات العملاء]

**الذكاء الاصطناعي**: "# تحليل المجموعات - العملاء الجدد
**الفترة: مايو - أكتوبر 2023**

## نظرة عامة

لقد قمت بتحليل سلوك الشراء لمجموعات العملاء الجدد على مدار الأشهر الستة الماضية. يظهر التحليل **معدل احتفاظ متوسط قدره 42.3% بعد الشهر الأول** و**23.8% بعد ثلاثة أشهر**. تظهر مجموعة يوليو أفضل أداء بمعدل احتفاظ 48.7% بعد الشهر الأول.

## جدول الاحتفاظ بالمجموعات

| المجموعة | الحجم | الشهر 0 | الشهر 1 | الشهر 2 | الشهر 3 | الشهر 4 | الشهر 5 |
|----------|-------|---------|---------|---------|---------|---------|---------|
| مايو 2023 | 1,245 | 100% | 41.2% | 32.5% | 24.6% | 20.3% | 18.7% |
| يونيو 2023 | 1,378 | 100% | 43.5% | 35.2% | 26.7% | 22.1% | - |
| يوليو 2023 | 1,567 | 100% | 48.7% | 37.8% | 28.4% | - | - |
| أغسطس 2023 | 1,423 | 100% | 45.2% | 34.6% | - | - | - |
| سبتمبر 2023 | 1,356 | 100% | 40.8% | - | - | - | - |
| أكتوبر 2023 | 1,289 | 100% | - | - | - | - | - |

## متوسط قيمة الطلبات حسب المجموعة (ريال)

| المجموعة | الشهر 0 | الشهر 1 | الشهر 2 | الشهر 3 | الشهر 4 | الشهر 5 |
|----------|---------|---------|---------|---------|---------|---------|
| مايو 2023 | 98.45 | 112.34 | 125.67 | 138.92 | 145.23 | 152.78 |
| يونيو 2023 | 102.56 | 118.76 | 129.87 | 142.34 | 149.56 | - |
| يوليو 2023 | 105.67 | 124.87 | 136.54 | 148.76 | - | - |
| أغسطس 2023 | 103.45 | 120.34 | 132.56 | - | - | - |
| سبتمبر 2023 | 99.87 | 115.67 | - | - | - | - |
| أكتوبر 2023 | 97.65 | - | - | - | - | - |

## تكرار الشراء حسب المجموعة (طلبات/عميل)

| المجموعة | الشهر 0 | الشهر 1 | الشهر 2 | الشهر 3 | الشهر 4 | الشهر 5 |
|----------|---------|---------|---------|---------|---------|---------|
| مايو 2023 | 1.00 | 1.23 | 1.45 | 1.67 | 1.82 | 1.94 |
| يونيو 2023 | 1.00 | 1.28 | 1.52 | 1.73 | 1.89 | - |
| يوليو 2023 | 1.00 | 1.34 | 1.58 | 1.79 | - | - |
| أغسطس 2023 | 1.00 | 1.29 | 1.54 | - | - | - |
| سبتمبر 2023 | 1.00 | 1.25 | - | - | - | - |
| أكتوبر 2023 | 1.00 | - | - | - | - | - |

## الرؤى الرئيسية

1. **اتجاه الاحتفاظ**: يتراوح الاحتفاظ بعد الشهر الأول بين 40.8% و48.7%، بمتوسط 42.3%.

2. **أفضل أداء**: تظهر مجموعة يوليو أفضل احتفاظ (48.7% بعد الشهر الأول) وأكبر زيادة في قيمة الطلبات (+18.2% في الشهر 1).

3. **زيادة القيمة**: لجميع المجموعات، يزداد متوسط قيمة الطلبات بشكل كبير للعملاء المحتفظ بهم (+14.1% في المتوسط في الشهر 1).

4. **الموسمية**: تظهر مجموعات الصيف (يونيو-أغسطس) بشكل عام احتفاظًا أفضل من مجموعات الربيع والخريف.

5. **اتجاه التكرار**: يزداد تكرار الشراء باستمرار للعملاء المحتفظ بهم، ليصل إلى ما يقرب من طلبين شهريًا بعد 5 أشهر.

## التوصيات

1. **تحسين برامج الانضمام**: تحليل وتكرار عوامل نجاح مجموعة يوليو لتحسين الاحتفاظ الأولي.

2. **حملات إعادة تنشيط مستهدفة**: تنفيذ حملات محددة للعملاء غير النشطين بعد 1-2 شهر.

3. **استراتيجية ولاء موسمية**: تعزيز برامج الولاء خلال أشهر الخريف والربيع للتعويض عن الانخفاض الطبيعي في الاحتفاظ.

4. **برنامج مكافآت تدريجي**: تطوير نظام مكافآت يزداد في القيمة مع مدة ولاء العميل.

5. **تحليل معمق لمجموعة يوليو**: دراسة الخصائص الديموغرافية وقنوات الاكتساب والمنتجات الأولى التي تم شراؤها من قبل هذه المجموعة ذات الأداء المتميز بشكل خاص."
