<div dir="rtl">

# أمثلة SQLite

*[English](../../en/examples/sqlite-examples.md) | [中文](../../zh/examples/sqlite-examples.md) | [Français](../../fr/examples/sqlite-examples.md) | [Español](../../es/examples/sqlite-examples.md) | العربية | [Русский](../../ru/examples/sqlite-examples.md)*

يقدم هذا المستند أمثلة عملية للعمل مع قواعد بيانات SQLite باستخدام MCP Database Utilities.

## التكوين الأساسي

```yaml
connections:
  my-sqlite:
    type: sqlite
    path: /path/to/database.db
```

## العمليات الشائعة

### سرد الجداول

**أنت**: "قم بسرد جميع الجداول في قاعدة بيانات SQLite الخاصة بي."

**الذكاء الاصطناعي**: "إليك الجداول في قاعدة بيانات SQLite الخاصة بك:
- المستخدمون
- المنتجات
- الطلبات
- الفئات"

### عرض بنية الجدول

**أنت**: "أظهر لي بنية جدول المستخدمين."

**الذكاء الاصطناعي**: "جدول المستخدمين له البنية التالية:
- id (INTEGER, PRIMARY KEY)
- username (TEXT, NOT NULL)
- email (TEXT, NOT NULL, UNIQUE)
- created_at (TIMESTAMP)
- last_login (TIMESTAMP)
- status (TEXT)"

### استعلام أساسي

**أنت**: "أظهر لي أهم 5 مستخدمين حسب تاريخ آخر تسجيل دخول."

**الذكاء الاصطناعي**: "إليك أهم 5 مستخدمين حسب تاريخ آخر تسجيل دخول:

| id | username | email | last_login |
|----|----------|-------|------------|
| 42 | johndoe | john@example.com | 2023-11-25 14:32:15 |
| 17 | janedoe | jane@example.com | 2023-11-24 09:45:22 |
| 31 | bobsmith | bob@example.com | 2023-11-23 18:12:05 |
| 8 | alicejones | alice@example.com | 2023-11-22 11:30:47 |
| 53 | mikebrown | mike@example.com | 2023-11-21 16:08:33 |"

## استعلامات متقدمة

### ربط الجداول

**أنت**: "أظهر لي آخر 3 طلبات مع معلومات المستخدم."

**الذكاء الاصطناعي**: "إليك آخر 3 طلبات مع معلومات المستخدم:

| order_id | order_date | username | email | total_amount |
|----------|------------|----------|-------|--------------|
| 1042 | 2023-11-25 | johndoe | john@example.com | $125.99 |
| 1041 | 2023-11-24 | alicejones | alice@example.com | $89.50 |
| 1040 | 2023-11-23 | bobsmith | bob@example.com | $212.75 |"

### دوال التجميع

**أنت**: "ما هو متوسط مبلغ الطلب حسب الفئة؟"

**الذكاء الاصطناعي**: "إليك متوسط مبلغ الطلب حسب الفئة:

| الفئة | متوسط_المبلغ |
|----------|----------------|
| الإلكترونيات | $245.75 |
| الملابس | $78.30 |
| الكتب | $32.50 |
| المنزل والمطبخ | $124.90 |
| الرياضة والهواء الطلق | $156.25 |"

## تحليل الأداء

### خطة تنفيذ الاستعلام

**أنت**: "اشرح خطة التنفيذ لـ: SELECT * FROM orders WHERE user_id = 42"

**الذكاء الاصطناعي**: "خطة التنفيذ للاستعلام:
```
QUERY PLAN
------------------------------------------------------------
SEARCH TABLE orders USING INDEX idx_user_id (user_id=?)
```

يستخدم هذا الاستعلام الفهرس `idx_user_id` للعثور بكفاءة على الطلبات للمستخدم ذي المعرف 42."

### إحصائيات الجدول

**أنت**: "احصل على إحصائيات لجدول الطلبات."

**الذكاء الاصطناعي**: "إحصائيات لجدول الطلبات:
- عدد الصفوف: 1,245
- الحجم: 2.3 ميجابايت
- الفهارس: 3 (المفتاح الأساسي، idx_user_id، idx_order_date)
- متوسط طول الصف: 1.9 كيلوبايت"

## العمل مع ميزات SQLite المحددة

### استخدام FTS (البحث النصي الكامل)

**أنت**: "ابحث عن المنتجات التي تحتوي على 'سماعات لاسلكية'."

**الذكاء الاصطناعي**: "إليك المنتجات التي تطابق 'سماعات لاسلكية':

| product_id | الاسم | الوصف | السعر |
|------------|------|-------------|-------|
| 123 | سماعات لاسلكية فاخرة | سماعات لاسلكية مع إلغاء الضوضاء و30 ساعة من عمر البطارية | $199.99 |
| 145 | سماعات لاسلكية رياضية | سماعات لاسلكية مقاومة للماء للرياضة | $89.99 |
| 187 | سماعات لاسلكية اقتصادية | سماعات لاسلكية بأسعار معقولة مع جودة صوت جيدة | $49.99 |"

### استخدام دوال JSON

**أنت**: "أظهر لي المستخدمين الذين لديهم 'premium' في تفضيلاتهم."

**الذكاء الاصطناعي**: "إليك المستخدمين الذين لديهم 'premium' في تفضيلاتهم:

| id | username | التفضيلات |
|----|----------|-------------|
| 42 | johndoe | {\"subscription\": \"premium\", \"theme\": \"dark\"} |
| 17 | janedoe | {\"subscription\": \"premium\", \"theme\": \"light\"} |
| 53 | mikebrown | {\"subscription\": \"premium\", \"theme\": \"auto\"} |"

## استكشاف الأخطاء وإصلاحها

### المشكلات الشائعة

1. **الملف غير موجود**
   - تأكد من صحة المسار إلى ملف قاعدة بيانات SQLite الخاص بك
   - تحقق من أذونات الملف
   - تحقق من وجود الملف

2. **قاعدة البيانات مقفلة**
   - تسمح SQLite بكاتب واحد فقط في المرة الواحدة
   - تأكد من عدم وجود عملية أخرى تكتب في قاعدة البيانات
   - فكر في استخدام وضع WAL لتحسين التزامن

3. **مشاكل الأداء**
   - أضف فهارس للأعمدة التي يتم الاستعلام عنها بشكل متكرر
   - استخدم EXPLAIN QUERY PLAN لتحديد الاستعلامات البطيئة
   - فكر في استخدام العبارات المعدة للاستعلامات المتكررة

</div>
