# Documentation MCP Database Utilities

*[English](../../en/installation.md) | [中文](../../zh/installation.md) | Français | [Español](../../es/installation.md) | [العربية](../../ar/installation.md) | [Русский](../../ru/installation.md)*

## Bienvenue dans la documentation française

Bienvenue dans la documentation française de MCP Database Utilities. Cette documentation vous aidera à utiliser MCP Database Utilities pour accéder et analyser vos bases de données en toute sécurité avec des assistants IA.

## Guides principaux

- [Guide d'installation](../installation.md) - Instructions détaillées pour installer et configurer MCP Database Utilities
- [Guide de configuration](../configuration.md) - Exemples de configuration et meilleures pratiques
- [Guide d'utilisation](../usage.md) - Flux de travail de base et scénarios d'utilisation courants

## Exemples par type de base de données

- [Exemples SQLite](sqlite-examples.md) - Exemples pratiques pour travailler avec des bases de données SQLite

## Caractéristiques principales

- **Accès en lecture seule**: Garantit que vos données restent sécurisées
- **Support de plusieurs bases de données**: Fonctionne avec SQLite, PostgreSQL et MySQL
- **Configuration simple**: Fichier de configuration YAML simple
- **Connexions sécurisées**: Prend en charge SSL/TLS pour des connexions sécurisées aux bases de données
- **Intégration avec l'IA**: Fonctionne parfaitement avec les assistants IA compatibles MCP
